<div class="content" role="main">
  <div class="row" >
    <div style="text-align: left" class="table1">
      <mat-form-field>
        <mat-label>Filter use FrameWork</mat-label>
        <input matInput (keyup)="SearchBar($event)" placeholder="Search" />
      </mat-form-field>
    </div>
    <div style="text-align: left" class="table1">
      <mat-form-field>
        <mat-label>Filter Not use FrameWork</mat-label>
        <input matInput (keyup)="Search($event)" placeholder="Search" />
      </mat-form-field>
    </div>
    <div>
      <mat-progress-spinner [mode]="'indeterminate'" *ngIf="showspinner | async"></mat-progress-spinner>
    </div>
    <div class="table1" >
      <table mat-table [dataSource]="serachlist"  class="mat-elevation-z8" >
        <!-- ID Column -->
        <ng-container matColumnDef="id" >
          <th mat-header-cell *matHeaderCellDef mat-sort-header >id</th>
          <td mat-cell *matCellDef="let data">{{ data.id }}</td>
        </ng-container>

         <!-- Image Column -->
         <ng-container matColumnDef="img">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>img</th>
          <td mat-cell *matCellDef="let data"><img class="mat-card-avatar" [src]="data.thumbnailUrl"></td>
        </ng-container>

        <!-- Title Column -->
        <ng-container matColumnDef="title">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>title</th>
          <td mat-cell *matCellDef="let data">{{ data.title }}</td>
        </ng-container>

        <!-- Data Column -->
        <ng-container matColumnDef="data">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>data</th>
          <td mat-cell *matCellDef="let data">
            <button
              mat-raised-button
              color="primary"
              (click)="selectdata(data)"
            >
              Detail
            </button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
   
    </div>
    <div >
      <mat-paginator 
      [pageSizeOptions]="[20]"
      showFirstLastButtons
    ></mat-paginator>
    </div>
 
  </div>
</div>
